Bug 971174 - RFE: Need to support updating products
RFE: Need to support updating products
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: candlepin-bugs
Katello QA List
:
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-06-05 17:39 EDT by Justin Sherrill
Modified: 2015-05-14 10:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 10:24:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2013-06-05 17:39:17 EDT
Description of problem:

Starting in candlepin-0.8.13-1.el6.noarch, arch is now required to be set on either the product or the content.  Previously in katello we did not set this, so now we are setting the arch to ALL on our custom products. 

Katello 1.3 users will need to upgrade to 1.4, and thus we will need to add this attribute to products.  Candlepin does not support updating products though.

At a minimum we'd just need to add an arch attribute to the product attributes list.  It would be nice to be able to rename as well though.

These are the attributes we use on create, would be good to be able to update them all.

name
multiplier
attributes
Comment 1 Bryan Kearney 2013-06-06 08:51:59 EDT
You should be able to update the content today (PUT /content/{content_id}). I will add updating the prduct  to the backlog.
Comment 2 Devan Goodwin 2013-07-11 10:24:18 EDT
An PUT /products/{id} call should be implemented in candlepin-0.8.17 and beyond, allowing updating of name, attributes, and other product data.

I don't think this is QE testable as it's just an api call, so I'm going to close as current release. The end functionality should be covered by katello testing in the end.
Comment 3 Cory Scheviak 2013-07-11 10:30:36 EDT
This addition can be found here: https://github.com/candlepin/candlepin/pull/320

Note You need to log in before you can comment on or make changes to this bug.